
 
 figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC(  d, sr , 1, 0);
 
 i_dct       = idct(c, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
  title('PNCC-zakladne kepstralne koef. (clean,white,music,street)')
 
 
   [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC(  d, sr , 1, 0);
 
 i_dct       = idct(c, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
    [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
[c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC( d, sr, 1, 0);
 
 i_dct       = idct(c, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
     [d,sr] = wavread( 'sb01_Street_05dB.sph.wav');
  subplot(414)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC( d, sr, 1, 0);
 
 i_dct       = idct(c, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')

 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 
 
  figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC(  d, sr , 1, 0);
 
 i_dct       = idct(vx, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
  title('PNCC-diferecne kepstralne koef. (clean,white,music,street)')
 
 
   [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC(  d, sr , 1, 0);
 
 i_dct       = idct(vx, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
    [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
[c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC( d, sr, 1, 0);
 
 i_dct       = idct(vx, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
     [d,sr] = wavread( 'sb01_Street_05dB.sph.wav');
  subplot(414)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC( d, sr, 1, 0);
 
 i_dct       = idct(vx, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
  figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC(  d, sr , 1, 0);
 
 i_dct       = idct(ax, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
  title('PNCC-akceleracne kepstralne koef. (clean,white,music,street)')
 
 
   [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC(  d, sr , 1, 0);
 
 i_dct       = idct(ax, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
    [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
[c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC( d, sr, 1, 0);
 
 i_dct       = idct(ax, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
     [d,sr] = wavread( 'sb01_Street_05dB.sph.wav');
  subplot(414)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC( d, sr, 1, 0);
 
 i_dct       = idct(ax, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')

 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
  figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC(  d, sr , 1, 0);
 
 i_dct       = idct(all);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
  title('PNCC-39 kepstralnych koef. (clean,white,music,street)')
 
 
   [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC(  d, sr , 1, 0);
 
 i_dct       = idct(all);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
    [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
[c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC( d, sr, 1, 0);
 
 i_dct       = idct(all);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
     [d,sr] = wavread( 'sb01_Street_05dB.sph.wav');
  subplot(414)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC( d, sr, 1, 0);
 
 i_dct       = idct(all);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
  figure

 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC(  d, sr , 1, 0);
 
 i_dct       = idct(c, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
 title('Reč s tichom na pozadí')
 
 
   [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC(  d, sr , 1, 0);
 
 i_dct       = idct(c, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
 title('Reč s bielym šum na pozadí')
 
 
    [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
[c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC( d, sr, 1, 0);
 
 i_dct       = idct(c, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
  title('Reč s hudbou na pozadí')
 
 
     [d,sr] = wavread( 'sb01_Street_05dB.sph.wav');
  subplot(414)
 [c , vx, ax, all] = PNCC_IEEETranForDemo_PNCC( d, sr, 1, 0);
 
 i_dct       = idct(c, 40);

 str_hod = mean(i_dct(:));
 smer_odch  = std(i_dct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * i_dct + far_skala_1);
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
title('Reč so zvukmi z ulice na pozadí')
